Page MenuHomePhabricator

VRRP transition scripts no longer get executed
Closed, ResolvedPublicBUG

Description

For some reason keepalived doesn't update the state data in /var/run/vrrpd

Op mode scripts use a different file, /tmp/keepalived.data (anyone knows what creates it?), so they are unaffected.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0
Why the issue appeared?
Issues in third-party code
dmbaturin added a subscriber: aibanez.
syncer triaged this task as Normal priority.Dec 21 2017, 9:16 PM
dmbaturin moved this task from Need Triage to In Progress on the VyOS 1.2.x board.May 24 2018, 5:42 PM

State files are updated properly after keepalived upgrade, no need for this workaround anymore.

dmbaturin changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
dmbaturin moved this task from Needs Triage to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc1) board.
dmbaturin closed this task as Resolved.Jun 8 2018, 7:34 AM

Seems to work fine now, reopen if necessary.